StrokeType (base API)
Date: 2019-04-05

com.twosigma.beakerx.chart.xychart.plotitem

## Enum StrokeType

- java.lang.Object
- - java.lang.Enum<StrokeType>
  - - com.twosigma.beakerx.chart.xychart.plotitem.StrokeType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<StrokeType>

      public enum StrokeType
      extends java.lang.Enum<StrokeType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DASH`
    `DASHDOT`
    `DOT`
    `LONGDASH`
    `NONE`
    `SOLID`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static StrokeType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static StrokeType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final StrokeType NONE

    - #### SOLID

          public static final StrokeType SOLID

    - #### DASH

          public static final StrokeType DASH

    - #### DOT

          public static final StrokeType DOT

    - #### DASHDOT

          public static final StrokeType DASHDOT

    - #### LONGDASH

          public static final StrokeType LONGDASH

  - ### Method Detail

    - #### values

          public static StrokeType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (StrokeType c : StrokeType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static StrokeType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null